import { OnInit } from '@angular/core';
import { Store } from '@ngrx/store';
import Map from 'ol/Map';
import { Observable } from 'rxjs';
import { MangolConfig } from './interfaces/config.interface';
import * as fromMangol from './store/mangol.reducers';
export declare class MangolComponent implements OnInit {
    private store;
    class: string;
    config: MangolConfig;
    hasSidebar$: Observable<boolean>;
    sidebarOpened$: Observable<boolean>;
    sidebarMode$: Observable<string>;
    map$: Observable<Map>;
    constructor(store: Store<fromMangol.MangolState>);
    ngOnInit(): void;
    onOpenedChange(evt: boolean): void;
}
