import { Action } from '@ngrx/store';
import { LayertreeDictionary } from './layertree.reducers';
export declare const HAS_LAYERTREE = "[Layertree] Has Layertree";
export declare const SET_DISABLED = "[Layertree] Set Disabled";
export declare const SET_TITLE = "[Layertree] Set Title";
export declare const SET_DICTIONARY = "[Layertree] Set Dictionary";
export declare const SHOW_LAYERGROUP_BADGES = "[Layertree] Show Layergroup Badges";
export declare class HasLayertree implements Action {
    payload: boolean;
    readonly type = "[Layertree] Has Layertree";
    constructor(payload: boolean);
}
export declare class SetDisabled implements Action {
    payload: boolean;
    readonly type = "[Layertree] Set Disabled";
    constructor(payload: boolean);
}
export declare class SetTitle implements Action {
    payload: string;
    readonly type = "[Layertree] Set Title";
    constructor(payload: string);
}
export declare class SetDictionary implements Action {
    payload: LayertreeDictionary;
    readonly type = "[Layertree] Set Dictionary";
    constructor(payload: LayertreeDictionary);
}
export declare class ShowLayergroupBadges implements Action {
    payload: boolean;
    readonly type = "[Layertree] Show Layergroup Badges";
    constructor(payload: boolean);
}
export declare type LayertreeActions = HasLayertree | SetDisabled | SetTitle | SetDictionary | ShowLayergroupBadges;
