import * as LayertreeActions from './layertree.actions';
export interface LayertreeDictionary {
    groups?: string;
    layers?: string;
    expandAll?: string;
    collapseAll?: string;
    turnLayersOn?: string;
    turnLayersOff?: string;
    showLayerTransparency?: string;
    showLayerDescription?: string;
}
export interface State {
    hasLayertree: boolean;
    disabled: boolean;
    title: string;
    showLayergroupBadges: boolean;
    dictionary: LayertreeDictionary;
}
export declare function layertreeReducer(state: State, action: LayertreeActions.LayertreeActions): State;
